Mac切换自带的PHP为MAMP的PHP

04-09 11:20 330 0

因为想要安装Yii3.0,所以需要PHP版本>=7.2,在终端运行 which php 显示的是 /usr/php/bin,版本为7.1,不符合Yii3的最低PHP版本要求,所以需要使用MAMP的PHP代替系统的PHP。

因为我自带的shell是bash,所以需要修改的是bash_profile文件

sudo vim ~/.bash_profile

打开后把MAMP的PHP的路径添加到PATH中。

export PATH=/Applications/MAMP/bin/php/php7.2.10/bin:$PATH:$GOBIN

path

然后保存退出 source .bash_profile 使其生效。

再次执行which php

which php

做自己喜欢做的事。
Up骚年
Up骚年 站长 @ 十七度 创建者 声望
all or nothing, now or never.
0 人点赞
0 条评论
排序方式 时间 投票
快来抢占一楼吧
请登录后发表评论